Summary: SQLgrey is a postfix grey-listing policy service.
Name: sqlgrey
Version: 1.6.7
Release: 4tr
License: GPL
Url: http://sqlgrey.sourceforge.net
Group: Trustix Official
Source: %{name}-%{version}.tar.bz2
Source1: sqlgrey.init
Source2: sqlgrey.conf
Patch1: sqlgrey-1.6.7-logstats.patch
BuildRoot: /var/tmp/%{name}-%{version}-build
PreReq: chkconfig /sbin/restart_maybe /usr/sbin/groupadd /usr/sbin/useradd
Requires: perl(DBI)
Requires: perl(Net::Server::Multiplex)
Requires: perl(IO::Multiplex)
Requires: perl(Date::Calc)

%description
SQLgrey is a Postfix grey-listing policy service with auto-white-listing
written in Perl with SQL database as storage backend.
Greylisting stops 50 to 90 % junk mails (spam and virus) before they
reach your Postfix server (saves BW, user time and CPU time).

%prep
%setup -q
%patch1 -p1

%build
make

%install
make install ROOTDIR=$RPM_BUILD_ROOT INSTALL=install
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/sqlgrey
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sqlgrey/sqlgrey.conf
mkdir -p $RPM_BUILD_ROOT/var/lib/sqlgrey
for i in $RPM_BUILD_ROOT/etc/sqlgrey/clients_{ip,fqdn}_whitelist.local; do
cat << EOF > $i
# You can add your own whitelisting rules in this file.  The main whitelist
# file (without .local in the name) is not a config file and will be
# overwritten on package upgrades.

# See the main file (without .local) for examples of whitelist entries.
EOF
done

%clean
#[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,0755)
%doc COPYING Changelog FAQ README HOWTO README.PERF 
/usr/sbin/sqlgrey
/usr/bin/sqlgrey-logstats.pl
/usr/sbin/update_sqlgrey_config
/usr/share/man/man1/sqlgrey.1*
/etc/init.d/sqlgrey
%config(noreplace) /etc/sqlgrey/sqlgrey.conf
%config(noreplace) /etc/sqlgrey/clients_ip_whitelist.local
%config(noreplace) /etc/sqlgrey/clients_fqdn_whitelist.local
/etc/sqlgrey/clients_ip_whitelist
/etc/sqlgrey/clients_fqdn_whitelist
/etc/sqlgrey/smtp_server.regexp 
/etc/sqlgrey/dyn_fqdn.regexp
%exclude /etc/sqlgrey/README
%attr(0701,sqlgrey,sqlgrey) /var/lib/sqlgrey


%pre
if [ -z "`getent group sqlgrey`" ] ; then
	/usr/sbin/groupadd -g 24 sqlgrey
fi

if [ -z "`getent passwd sqlgrey`" ]; then
        /usr/sbin/useradd -u 24 -g sqlgrey -d /var/lib/sqlgrey sqlgrey
fi

%post
/sbin/chkconfig --add sqlgrey
if [ $1 = 2 ]; then
	/sbin/restart_maybe sqlgrey
fi

%preun
if [ $1 = 0 ]; then
	rm -f /var/lib/sqlgrey/*
	/sbin/chkconfig --del sqlgrey
	%{_initdir}/sqlgrey stop || :
fi

%changelog
* Fri Mar 02 2007 Nived Gopalan <nived at trustix dot org> 1.6.7-4tr
- Removed sqlite dependencies, Bug# 1731.

* Thu Jun 15 2006 Nived Gopalan <nived at trustix dot org> 1.6.7-3tr
- Changed init priority, Bug #1647.

* Fri Mar 31 2006 Bipin S <bipin at trustix dot org> 1.6.7-2tr
- Added patch for logstats. Bug #1681.

* Fri Mar 31 2006 Bipin S <bipin at trustix dot org> 1.6.7-1tr
- New Upstream

* Thu Aug 04 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6.5-1tr
- New Upstream

* Mon Jul 11 2005 Bipin S <bipin at comodo dot com> 1.6.4-1tr
- New upstream. Fixed bug# 1063

* Wed Jul 06 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  1.6.2-1tr
- New upstream with fix for database connection

* Mon Jul 04 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6.1-3tr
- Removed Backing up of conf file from %pre for sqlgrey <= 1.2.0 since tsl-3.0 
  never had sqlgrey <= 1.2.0.

* Sun Jul 03 2005 Ajith Thampi <ajith at comodo dot com> 1.6.1-2tr
- smtp_server.regexp, dyn_fqdn.regexp are now included which is needed.
  Bug #942
		
* Wed Jun 29 2005 Ajith Thampi <ajith at comodo dot com> 1.6.1-1tr
- New Upstream
		
* Mon Jun 20 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  1.6.0-1tr
- New upstream

* Wed Apr 20 2005 Ajith Thampi <ajith at comodo dot com> 1.4.8-3tr
- Changed to new init priority

* Fri Mar 18 2005 Nived Gopalan  <nived at comodo dot com> 1.4.8-2tr
- Rebuilt

* Thu Mar 10 2005 Erlend Midttun <erlendbm at trustix dot org> 1.4.8-1tr-
- New upstream.

* Tue Dec 14 2004 Oystein Viggen <oysteivi at trustix dot com> 1.4.0-4tr
- Default reconnect_delay is now 1, as advised by upstream

* Mon Dec 13 2004 Oystein Viggen <oysteivi at trustix dot com> 1.4.0-3tr
- Make it possible to define group for the server process

* Mon Dec 13 2004 Oystein Viggen <oysteivi at trustix dot com> 1.4.0-2tr
- Inform about config file relocation, and try to make a backup

* Mon Dec 13 2004 Oystein Viggen <oysteivi at trustix dot com> 1.4.0-1tr
- New upstream version.  Fixes another SQL injection bug.
- New files for %doc

* Wed Dec  7 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.0-2tr
- postun -> preun

* Wed Nov 10 2004 Oystein Viggen <oysteivi at trusitx dot com> 1.2.0-1tr
- New upstream, fixes SQL injection vulnerability

* Sun Nov  7 2004 Erlend Midttun <erlendbm at trustix dot org> 1.1.3-5tr
- Config file as own source
- Now use user sqlgrey by default.

* Tue Nov  2 2004 Oystein Viggen <oysteivi at trustix dot com> 1.1.3-4tr
- Use SQLite in the default config

* Wed Oct 27 2004 Oystein Viggen <oysteivi at trustix dot com> 1.1.3-2tr
- Add some more Requires

* Fri Oct 22 2004 Oystein Viggen <oysteivi at trustix dot com> 1.1.3-1tr
- Import into Trustix
- RPM based on work by Lionel Bouton

* Wed Sep 22 2004 Lionel Bouton <lionel-dev@bouton.name>
- Fixed mysql support

* Tue Sep 21 2004 Lionel Bouton <lionel-dev@bouton.name>
- SQLite support.
- HOWTO
